"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const utils_1 = require("../../utils");
const picocolors_1 = tslib_1.__importDefault(require("picocolors"));
const EXISTING_COMMANDS = ['integration'];
class Create extends core_1.Command {
    async run() {
        const { args } = await this.parse(Create);
        const { commandName } = args;
        (0, utils_1.checkCommandAndQuit)({
            commands: EXISTING_COMMANDS,
            commandName
        });
        (0, utils_1.log)(`Command ${picocolors_1.default.green('create')} require additional arguments. Please run ${picocolors_1.default.green('@vue-storefront/cli create --help')} to see available options.\n`);
        process.exit(0);
    }
}
exports.default = Create;
Create.description = 'Generate integration boilerplate';
Create.examples = ['<%= config.bin %> <%= command.id %>'];
Create.flags = {
    framework: core_1.Flags.string({
        char: 't',
        description: 'Framework to use',
        options: ['nuxt', 'next'],
        aliases: ['template']
    })
};
Create.args = [
    {
        name: 'commandName'
    },
    {
        name: 'integrationName'
    }
];
//# sourceMappingURL=index.js.map