"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeNuxtPageMethod = void 0;
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const utils_1 = require("../../../../../utils");
const __1 = require("..");
const writeNuxtPageMethod = async (endpoint) => {
    const nuxtPagesPath = './playground/app/pages';
    const folderExists = await (0, utils_1.existsDirectory)(nuxtPagesPath);
    if (!folderExists) {
        fs_1.default.mkdirSync(nuxtPagesPath, { recursive: true });
    }
    const ifPageExists = fs_1.default.existsSync(`${nuxtPagesPath}/${endpoint}.tsx`);
    if (ifPageExists) {
        fs_1.default.rmSync(`${nuxtPagesPath}/${endpoint}.tsx`, { recursive: true });
    }
    fs_1.default.writeFileSync(`${nuxtPagesPath}/${endpoint}.vue`, (0, __1.getNuxtPageCode)(endpoint));
};
exports.writeNuxtPageMethod = writeNuxtPageMethod;
//# sourceMappingURL=nuxt-page.js.map