"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.endpointName = void 0;
const prompts_1 = require("@clack/prompts");
const endpointName = async () => {
    (0, prompts_1.intro)('To create a new endpoint, you need to specify its name');
    const name = await (0, prompts_1.text)({
        message: 'Enter endpoint name',
        // eslint-disable-next-line @typescript-eslint/ban-ts-comment
        // @ts-ignore - @clack/prompts does not require return value
        validate: (value) => {
            const regex = new RegExp('^(?!.*[^a-zA-Z]).+$');
            if (!value) {
                return 'Endpoint name is required';
            }
            else if (!regex.test(value)) {
                return 'Endpoint name must contain only letters';
            }
        }
    });
    if ((0, prompts_1.isCancel)(name)) {
        console.log('Endpoint creation has been canceled');
        process.exit(0);
    }
    return name;
};
exports.endpointName = endpointName;
//# sourceMappingURL=endpointName.js.map