"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeApiMethod = void 0;
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const __1 = require("..");
const getApiMethodCode_1 = require("../getCode/getApiMethodCode");
const writeApiMethod = async (endpoint, isOverwrite) => {
    const apiMethodPath = `./packages/api-client/src/api/${endpoint}`;
    const typesMethodPath = './packages/api-client/src/types/api/endpoints.ts';
    const ifFileExists = fs_1.default.existsSync(apiMethodPath);
    if (ifFileExists && isOverwrite) {
        fs_1.default.rmSync(apiMethodPath, { recursive: true });
    }
    if (!ifFileExists) {
        fs_1.default.appendFileSync('./packages/api-client/src/api/index.ts', `\nexport { ${endpoint} } from './${endpoint}';`);
    }
    fs_1.default.mkdirSync(apiMethodPath, { recursive: true });
    fs_1.default.writeFileSync(`${apiMethodPath}/index.ts`, (0, getApiMethodCode_1.getApiMethodCode)(endpoint));
    (0, __1.writeToTypescriptFile)(typesMethodPath, endpoint);
};
exports.writeApiMethod = writeApiMethod;
//# sourceMappingURL=writeApiMethod.js.map