"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIntegrationBoilerplate = void 0;
const tslib_1 = require("tslib");
const prompts_1 = require("@clack/prompts");
const utils_1 = require("../../../utils");
const helpers_1 = require("./helpers");
const picocolors_1 = tslib_1.__importDefault(require("picocolors"));
const createIntegrationBoilerplate = async ({ projectDir, framework }) => {
    const sp = (0, prompts_1.spinner)();
    (0, utils_1.log)(`Creating integration boilerplate in ${picocolors_1.default.green(projectDir)} directory${framework ? `, using ${picocolors_1.default.green(framework)} framework...` : ''}`);
    sp.start('Cloning integration boilerplate...');
    await (0, utils_1.cloneGitRepository)({
        projectDir: projectDir,
        gitRepositoryURL: 'https://github.com/vuestorefront/integration-boilerplate.git'
    });
    sp.stop('Integration boilerplate has been cloned successfully!');
    await (0, helpers_1.handleFrameworkClone)(projectDir, framework);
    await (0, helpers_1.removeUnwantedFiles)(projectDir);
    return projectDir;
};
exports.createIntegrationBoilerplate = createIntegrationBoilerplate;
//# sourceMappingURL=index.js.map