"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkCommandAndQuit = void 0;
const tslib_1 = require("tslib");
const picocolors_1 = tslib_1.__importDefault(require("picocolors"));
const isCloseEnough_1 = require("./isCloseEnough");
const log_1 = require("../log");
const checkCommandAndQuit = async ({ commands, commandName }) => {
    const similarCommand = commands.find((command) => (0, isCloseEnough_1.isCloseEnough)(commandName, command));
    if (similarCommand) {
        (0, log_1.log)(`Command ${picocolors_1.default.cyan('create')} ${picocolors_1.default.yellow(commandName)} does not exist. Did you mean ${picocolors_1.default.cyan('create')} ${picocolors_1.default.green(`${similarCommand}`)}?`);
        process.exit(0);
    }
    (0, log_1.log)(`Command ${picocolors_1.default.yellow(commandName)} does not exist \n\nCommand list:`);
    commands.forEach((command) => (0, log_1.log)(`- ${picocolors_1.default.cyan('create')} ${picocolors_1.default.green(command)}`));
    process.exit(0);
};
exports.checkCommandAndQuit = checkCommandAndQuit;
//# sourceMappingURL=checkCommandAndQuit.js.map