"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkCommandAndSuggest = void 0;
const tslib_1 = require("tslib");
const picocolors_1 = tslib_1.__importDefault(require("picocolors"));
const isCloseEnough_1 = require("./isCloseEnough");
const prompts_1 = require("@clack/prompts");
const log_1 = require("../log");
const checkCommandAndSuggest = async ({ commands, commandArg, endpoint, self }) => {
    const similarCommand = commands.find(({ command }) => (0, isCloseEnough_1.isCloseEnough)(commandArg, command));
    if (similarCommand) {
        const { command, Func } = similarCommand;
        (0, log_1.log)(`Command ${picocolors_1.default.cyan('add')} ${picocolors_1.default.yellow(`${commandArg}`)} does not exist. Did you mean ${picocolors_1.default.cyan('add')} ${picocolors_1.default.green(`${command}`)}?`);
        const shouldRunNewCommand = await (0, prompts_1.confirm)({
            message: `Do you want to run ${picocolors_1.default.green(command)} command?`
        });
        if ((0, prompts_1.isCancel)(shouldRunNewCommand) || !shouldRunNewCommand) {
            (0, log_1.log)('Command was not created \nSee you next time!');
            process.exit(0);
        }
        if (shouldRunNewCommand) {
            const newCommand = new Func([endpoint], self.config);
            return newCommand.run();
        }
    }
    (0, log_1.log)(`Command ${picocolors_1.default.yellow(commandArg)} does not exist \n\nCommand list:`);
    commands.forEach(({ command }) => (0, log_1.log)(`- ${picocolors_1.default.cyan('add')} ${picocolors_1.default.green(command)}`));
    process.exit(0);
};
exports.checkCommandAndSuggest = checkCommandAndSuggest;
//# sourceMappingURL=checkCommandAndSuggest.js.map