"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFrameworkName = void 0;
const fs = require('fs');
const nextConfigPath = './playground/app/next.config.js';
const nuxtConfigPath = './playground/app/nuxt.config.ts';
const getFrameworkName = () => {
    if (fs.existsSync(nextConfigPath)) {
        return 'next';
    }
    if (fs.existsSync(nuxtConfigPath)) {
        return 'nuxt';
    }
    const noFramework = 'Could not detect framework. No page will be generated.';
    console.warn(noFramework);
    return noFramework;
};
exports.getFrameworkName = getFrameworkName;
//# sourceMappingURL=getFrameworkName.js.map